Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Access Token

Exchange credentials for a JWT access token.

Accepts either:

  • client_id + secret (classic API token flow)
  • project_key: a Streamkap Project Key credential file (raw JSON or base64-encoded)

For project_key input, the API credentials are extracted from the bundle and used to issue the JWT. Kafka-only Project Keys (no API credentials) cannot be exchanged for a JWT.

POST/auth/access-token
Request body
application/json
client_idstring | any
Show properties
Any of:
string
string
any
any
secretstring | any
Show properties
Any of:
string
string
any
any
project_keystring | any
Show properties
Any of:
string
string
any
any
Responses
200

Successful Response

expiresstringrequired
expiresInintegerrequired
accessTokenstringrequired
refreshTokenstringrequired
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "https://api.streamkap.com/auth/access-token" \
  -H "Content-Type: application/json" \
  -d '{
  "client_id": "string",
  "secret": "string",
  "project_key": "string"
}'
Response
{
  "expires": "string",
  "expiresIn": 0,
  "accessToken": "string",
  "refreshToken": "string"
}